package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 实体
 * 表名 tb_cf_item_comment
 *
 * @author lipengjun
 * @date 2019-11-18 14:31:39
 */
public class TbCfItemCommentEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 商品评论ID
     */
    private String id;
    /**
     * 评论人
     */
    private String userId;
    /**
     * 订单ID
     */
    private String orderId;
    /**
     * 商品ID
     */
    private String itemId;
    /**
     * 商品评分
     */
    private Integer itemScore;
    /**
     * 服务评分
     */
    private Integer serviceScore;
    /**
     * 物流评分
     */
    private Integer logisticsScore;
    /**
     * 价格评分
     */
    private Integer priceScore;
    /**
     * 商品评论
     */
    private String itemReview;
    /**
     * 点赞人数
     */
    private Long likeNum;
    /**
     * 删除标志 0：正常 1：已删除
     */
    private Integer delFlag;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 回复时间
     */
    private Date updateTime;

    private String username;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    /**
     * 设置：商品评论ID
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取：商品评论ID
     */
    public String getId() {
        return id;
    }

    /**
     * 设置：评论人
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取：评论人
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置：订单ID
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    /**
     * 获取：订单ID
     */
    public String getOrderId() {
        return orderId;
    }

    /**
     * 设置：商品ID
     */
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    /**
     * 获取：商品ID
     */
    public String getItemId() {
        return itemId;
    }

    /**
     * 设置：商品评分
     */
    public void setItemScore(Integer itemScore) {
        this.itemScore = itemScore;
    }

    /**
     * 获取：商品评分
     */
    public Integer getItemScore() {
        return itemScore;
    }

    /**
     * 设置：服务评分
     */
    public void setServiceScore(Integer serviceScore) {
        this.serviceScore = serviceScore;
    }

    /**
     * 获取：服务评分
     */
    public Integer getServiceScore() {
        return serviceScore;
    }

    /**
     * 设置：物流评分
     */
    public void setLogisticsScore(Integer logisticsScore) {
        this.logisticsScore = logisticsScore;
    }

    /**
     * 获取：物流评分
     */
    public Integer getLogisticsScore() {
        return logisticsScore;
    }

    /**
     * 设置：价格评分
     */
    public void setPriceScore(Integer priceScore) {
        this.priceScore = priceScore;
    }

    /**
     * 获取：价格评分
     */
    public Integer getPriceScore() {
        return priceScore;
    }

    /**
     * 设置：商品评论
     */
    public void setItemReview(String itemReview) {
        this.itemReview = itemReview;
    }

    /**
     * 获取：商品评论
     */
    public String getItemReview() {
        return itemReview;
    }

    /**
     * 设置：点赞人数
     */
    public void setLikeNum(Long likeNum) {
        this.likeNum = likeNum;
    }

    /**
     * 获取：点赞人数
     */
    public Long getLikeNum() {
        return likeNum;
    }

    /**
     * 设置：删除标志 0：正常 1：已删除
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * 获取：删除标志 0：正常 1：已删除
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
